/// Name of the cookie that contains session information
pub const SESSION_COOKIE_NAME: &str = "X-auth-token";

/// Maximum session duration after inactivity, in seconds
pub const MAX_INACTIVITY_DURATION: u64 = 60 * 30;

/// Maximum session duration (6 hours)
pub const MAX_SESSION_DURATION: u64 = 3600 * 6;

/// The routes that can be accessed without authentication
pub const ROUTES_WITHOUT_AUTH: [&str; 3] = [
    "/api/server/config",
    "/api/auth/start_oidc",
    "/api/auth/finish_oidc",
];
