import React from "react";
import ReactDOM from "react-dom/client";
import { App } from "./App";
import { AlertDialogProvider } from "./hooks/providers/AlertDialogProvider";
import { ConfirmDialogProvider } from "./hooks/providers/ConfirmDialogProvider";
import { ThemeProvider } from "./hooks/providers/ThemeProvider";
import "./index.css";
import { ToastProvider } from "./hooks/providers/ToastProvider";

ReactDOM.createRoot(document.getElementById("root")!).render(
  <React.StrictMode>
    <ThemeProvider>
      <AlertDialogProvider>
        <ConfirmDialogProvider>
          <ToastProvider>
            <App />
          </ToastProvider>
        </ConfirmDialogProvider>
      </AlertDialogProvider>
    </ThemeProvider>
  </React.StrictMode>
);
